syntax = "proto3";
option go_package = ".;pb";

message DBLinestory {
  string id = 1;  //@go_tags(`bson:"_id"`) ID
  string uid = 2; //@go_tags(`bson:"uid"`) 用户ID
  map<int32, TaskChapter> taskChapter =
      3; //@go_tags(`bson:"taskChapter"`) 已开启的章节 key:章节ID
}

// 章节
message TaskChapter {
  int32 receive =
      1; //@go_tags(`bson:"receive"`) 章节奖励领取状态 0未领 1待领取 2已领取
  int32 status = 2; //@go_tags(`bson:"status"`) 完成状态 0未完成 1已完成
  repeated int32 taskIds = 3; //@go_tags(`bson:"taskIds"`) 完成的任务
}

// 主线任务
message TaskMain {
  int32 taskId = 1; //@go_tags(`bson:"taskId"`) 任务Id
  int32 status = 2; //@go_tags(`bson:"status"`) 状态 0锁定 1已完成
}